月別勤怠(従業員別)取得
GET
/shifts/staffs/{staff_id}/monthly
const url = 'https://api.smaregi.dev/TARGET-CONTRACT-ID/timecard/shifts/staffs/1/monthly?year=2020&division=result&store_id=1%2C2';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.smaregi.dev/TARGET-CONTRACT-ID/timecard/shifts/staffs/1/monthly?year=2020&division=result&store_id=1%2C2' \ --header 'Authorization: Bearer <token>'月別勤怠(従業員別)データを取得します
対象
- プラン
- プレミアム
- プレミアムプラス
- エンタープライズ、旧有料
対象ユーザー権限
- シフト閲覧
- 実績閲覧
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”staff_id
required
string
従業員ID
Example
1Query Parameters
Section titled “Query Parameters”year
required
string
集計年 [YYYY]
Example
2020division
required
string
シフト/実績区分
schedule: シフトresult: 実績
Example
resultstore_id
string
事業所ID(カンマ区切りで複数指定可)
Example
1,2Responses
Section titled “Responses”取得成功
Media typeapplication/json
object
year
集計年 [YYYY]
string
staffId
従業員ID
string
shiftMonthly
月別勤怠データリスト
object
key
additional properties
勤怠データ(キー month: 月 [MM])
object
absenceDayCount
欠勤回数合計
number
totalPersonnelExpenses
給与概算合計
number
key
additional properties
事業所データ(キー storeId: 事業所ID)
object
fromDate
集計開始日 [YYYY-MM-DD]
string format: date
toDate
集計終了日 [YYYY-MM-DD]
string format: date
storeId
事業所ID
string
storeName
事業所名
string
storeAbbr
事業所名略称
string
totalDutyHour
勤務時間合計(小数)
string
totalDutyMinute
勤務時間合計(分)
string
tardyCount
遅刻回数
string
earlyLeavingCount
早退回数
string
personnelExpenses
給与概算
number
Example
{ "year": "2020", "staffId": "1", "shiftMonthly": { "01": { "1": { "fromDate": "2020-01-01", "toDate": "2020-01-31", "storeId": "1", "storeName": "スマレジ本店", "storeAbbr": "本店", "totalDutyHour": "120.5", "totalDutyMinute": "7230", "tardyCount": "2", "earlyLeavingCount": "1", "personnelExpenses": 150625 }, "2": { "fromDate": "2020-01-01", "toDate": "2020-01-31", "storeId": "2", "storeName": "スマレジ渋谷店", "storeAbbr": "渋谷店", "totalDutyHour": "56.0", "totalDutyMinute": "3360", "tardyCount": "1", "earlyLeavingCount": "0", "personnelExpenses": 70000 }, "absenceDayCount": 1, "totalPersonnelExpenses": 220625 }, "02": { "1": { "fromDate": "2020-02-01", "toDate": "2020-02-29", "storeId": "1", "storeName": "スマレジ本店", "storeAbbr": "本店", "totalDutyHour": "160.0", "totalDutyMinute": "9600", "tardyCount": "0", "earlyLeavingCount": "0", "personnelExpenses": 200000 }, "2": { "fromDate": "2020-02-01", "toDate": "2020-02-29", "storeId": "2", "storeName": "スマレジ渋谷店", "storeAbbr": "渋谷店", "totalDutyHour": "40.0", "totalDutyMinute": "2400", "tardyCount": "0", "earlyLeavingCount": "2", "personnelExpenses": 50000 }, "absenceDayCount": 0, "totalPersonnelExpenses": 250000 }, "03": { "1": { "fromDate": "2020-03-01", "toDate": "2020-03-31", "storeId": "1", "storeName": "スマレジ本店", "storeAbbr": "本店", "totalDutyHour": "176.0", "totalDutyMinute": "10560", "tardyCount": "1", "earlyLeavingCount": "0", "personnelExpenses": 220000 }, "absenceDayCount": 0, "totalPersonnelExpenses": 220000 } }}パラメータに誤りがある場合
Media typeapplication/json
object
type
エラータイプを識別するURI、もしくはabout:blank
string
title
エラーの概要
string
detail
エラーの詳細
string
Example
{ "type": "about:blank", "title": "Bad Request", "detail": "年は4桁で入力してください。"}- 指定したIDのデータが存在しない場合
Media typeapplication/json
object
type
エラータイプを識別するURI、もしくはabout:blank
string
title
エラーの概要
string
detail
エラーの詳細
string
Example
{ "type": "about:blank", "title": "Not Found", "detail": "データが確認できませんでした。従業員ID: 9999"}